---------------------------------------- 
-- Main Code --------------------------- 
----------------------------------------  

-- This is where the other GUI files are
-- loaded and everything is tied together.

----------------------------------------  
----------------------------------------  
----------------------------------------  

local Version = "OpenEUO 0.9g"

dofile("const.lua")
dofile("library.lua")
dofile("layout.lua")
dofile("menu.lua")
dofile("instances.lua")

----------------------------------------  

local MenuHandler = {
	[11] = Inst.New,
	[12] = Inst.Open,
	[13] = Inst.Close,
	[14] = Inst.CloseAll,
	[15] = function() Obj.Exit() return false end,

	[21] = Inst.Cut,
	[22] = Inst.Copy,
	[23] = Inst.Paste,
	[24] = Inst.Delete,
	[25] = Inst.SelectAll,
	[26] = Inst.Undo,

	[31] = Inst.Start,
	[32] = Inst.Pause,
	[33] = Inst.Stop,
	[41] = function() showmsg(Version,"by Cheffe") end,
}

----------------------------------------  

local function Main()
	CreateLayout(Version,MenuHandler[15])
	CreateMenu(MainForm,TabControl,MenuHandler)
	CreateInst(TabControl,BottomLabel)
	Obj.Loop()
	FreeInst()
	FreeMenu()
	FreeLayout()
end

----------------------------------------  

Main()
